### Virtual Method

# Gtk FontChooser set_filter_func

deprecated: 4.10

#### Declaration [src]

    void
    set_filter_func (
      GtkFontChooser* fontchooser,
      GtkFontFilterFunc filter,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

Adds a filter function that decides which fonts to display in the font chooser.

Deprecated since: 4.10

Use `GtkFontDialog` and `GtkFontDialogButton` instead.

#### Parameters

`filter`

  Type: `GtkFontFilterFunc`

  A `GtkFontFilterFunc`

`user_data`

  Type: `gpointer`

  Data to pass to `filter`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destroy`

  Type: `GDestroyNotify`

  Function to call to free `data` when it is no longer needed.